Name:          burlap
Version:       3.0.8
Release:       %mkrel 1
Summary:       Web service protocol
Group:         Development/Java
License:       ASL 1.1
Url:           http://www.caucho.com/resin-3.0/protocols/burlap.xtp
Source0:       http://distro.ibiblio.org/pub/linux/distributions/gentoo/distfiles/burlap-3.0.8.tar.bz2
Patch0:        burlap-proxy.patch
Patch1:        burlap-3.0.8-alt-java5.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: caucho-services
BuildRequires: hessian
BuildRequires: servletapi4

Requires:      caucho-services
Requires:      hessian
Requires:      servletapi4

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Burlap web service protocol makes web services
usable without requiring a large framework, and without
learning yet another alphabet soup of protocols.
Creating a client is as simple as creating an API interface.
Creating a service is as simple as adding a method to a servlet.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n burlap-%{version}
%patch0 -p0 -b .sav0
%patch1 -p1

%build

export CLASSPATH=$(build-classpath caucho-services hessian servletapi4)
export OPT_JAR_LIST=:
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 -Dbuild.sysclasspath=only jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/burlap.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/doc/api/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Oct 05 2011 gil <gil> 3.0.8-1.mga2
+ Revision: 151865
- imported package burlap

